package controller

import (

)
//////////////////////////////////////////////////////
//全局路由加载代码
//routerBase := engine.Group(contextPath)
//for _, f := range ListFuncRouter {
//  f(routerBase)
//}
//////////////////////////////////////////////////////

func init()  { //加载路由到全局容器中
	ListFuncRouter = append(ListFuncRouter, func (v1 *gin.RouterGroup) {
        //路由
		route := v1.Group("/dpc").Use(middleware.NoCache)
		{
			api := dpc.DpcGraphicMaterialTabApi{}
			route.GET("/dpcGraphicMaterialTab/:id", api.Get)
			route.GET("/dpcGraphicMaterialTab", api.GetPage)
			route.PUT("/dpcGraphicMaterialTab", api.Update)
			route.POST("/dpcGraphicMaterialTab", api.Save)
			route.DELETE("/dpcGraphicMaterialTab", api.Delete)
		}

	})
}
