package model

import (
)

type BindCustomerDataTab struct {

    Id int64 `json:"id" form:"id" gorm:"type:bigint;comment:id IDENTITY (1,1) NOT NULL "` 
    SiteTreeNo string `json:"siteTreeNo" form:"siteTreeNo" gorm:"type:varchar(50);comment:站点导航树编号 "` 
    DateMonth string `json:"dateMonth" form:"dateMonth" gorm:"type:date;comment:日期 "` 
    BindUserEcId int64 `json:"bindUserEcId" form:"bindUserEcId" gorm:"type:bigint;comment:用户能耗绑定id "` 
    Value string `json:"value" form:"value" gorm:"type:decimal(12,4);comment:统计值 "` 
    CompanyId string `json:"companyId" form:"companyId" gorm:"type:varchar(50);comment:企业id "` 
    DelFlg string `json:"delFlg" form:"delFlg" gorm:"type:char(1);comment:删除FLG 0:未删除 1:删除"` 
    InsUser string `json:"insUser" form:"insUser" gorm:"type:varchar(50);comment:创建者 "` 
    InsTime time.Time `json:"insTime" form:"insTime" gorm:"type:datetime;comment:创建时间 "` 
    UpdUser string `json:"updUser" form:"updUser" gorm:"type:varchar(50);comment:更新者 "` 
    UpdTime time.Time `json:"updTime" form:"updTime" gorm:"type:datetime;comment:更新时间 "` 
    ReserveCol1 string `json:"reserveCol1" form:"reserveCol1" gorm:"type:varchar(100);comment:备用字段1 "` 
    ReserveCol2 string `json:"reserveCol2" form:"reserveCol2" gorm:"type:varchar(100);comment:备用字段2 "` 
    Model
}

func (BindCustomerDataTab) TableName() string {
    return "bind_customer_data_tab"
}
