package model

import (
)

type DpcGraphicMaterialTab struct {

    Id int64 `json:"id" form:"id" gorm:"type:bigint(20);comment:id IDENTITY (1,1) NOT NULL "` 
    Name string `json:"name" form:"name" gorm:"type:varchar(50);comment:图素名称 "` 
    ImgType string `json:"imgType" form:"imgType" gorm:"type:varchar(20);comment:图素类型 基本、特殊、能量、设备、通信等"` 
    Path string `json:"path" form:"path" gorm:"type:varchar(150);comment:图素的存放地址 "` 
    UploadType string `json:"uploadType" form:"uploadType" gorm:"type:char(1);comment:上传类型 0:系统 1:自定义"` 
    CompanyId string `json:"companyId" form:"companyId" gorm:"type:varchar(50);comment:企业id "` 
    UserId string `json:"userId" form:"userId" gorm:"type:varchar(50);comment:用户id 创建数据者id"` 
    DelFlg string `json:"delFlg" form:"delFlg" gorm:"type:char(1);comment:删除FLG 0:未删除 1:删除"` 
    InsUser string `json:"insUser" form:"insUser" gorm:"type:varchar(50);comment:创建者 "` 
    InsTime time.Time `json:"insTime" form:"insTime" gorm:"type:datetime;comment:创建时间 "` 
    UpdUser string `json:"updUser" form:"updUser" gorm:"type:varchar(50);comment:更新者 "` 
    UpdTime time.Time `json:"updTime" form:"updTime" gorm:"type:datetime;comment:更新时间 "` 
    ReserveCol1 string `json:"reserveCol1" form:"reserveCol1" gorm:"type:varchar(100);comment:备用字段1 "` 
    ReserveCol2 string `json:"reserveCol2" form:"reserveCol2" gorm:"type:varchar(100);comment:备用字段2 "` 
    ReserveCol3 string `json:"reserveCol3" form:"reserveCol3" gorm:"type:varchar(100);comment:备用字段3 "` 
    ReserveCol4 string `json:"reserveCol4" form:"reserveCol4" gorm:"type:varchar(100);comment:备用字段4 "` 
    ReserveCol5 string `json:"reserveCol5" form:"reserveCol5" gorm:"type:varchar(100);comment:备用字段5 "` 
    Model
}

func (DpcGraphicMaterialTab) TableName() string {
    return "dpc_graphic_material_tab"
}
