package dto

import (
	  "time"
)

type DpcGraphicMaterialTabPageReq struct {
	dto.Pagination   `search:""`
    
        
        Id int64 `form:"id"  search:"type:exact;column:id;table:sys_columns" comment:"id IDENTITY (1,1) NOT NULL "`
    
        
        Name string `form:"name"  search:"type:exact;column:name;table:sys_columns" comment:"图素名称 "`
    
        
        ImgType string `form:"imgType"  search:"type:exact;column:img_type;table:sys_columns" comment:"图素类型 基本、特殊、能量、设备、通信等"`
    
        
        Path string `form:"path"  search:"type:exact;column:path;table:sys_columns" comment:"图素的存放地址 "`
    
        
        UploadType string `form:"uploadType"  search:"type:exact;column:upload_type;table:sys_columns" comment:"上传类型 0:系统 1:自定义"`
    
        
        CompanyId string `form:"companyId"  search:"type:exact;column:company_id;table:sys_columns" comment:"企业id "`
    
        
        UserId string `form:"userId"  search:"type:exact;column:user_id;table:sys_columns" comment:"用户id 创建数据者id"`
    
        
        DelFlg string `form:"delFlg"  search:"type:exact;column:del_flg;table:sys_columns" comment:"删除FLG 0:未删除 1:删除"`
    
        
        InsUser string `form:"insUser"  search:"type:exact;column:ins_user;table:sys_columns" comment:"创建者 "`
    
        
        InsTime time.Time `form:"insTime"  search:"type:exact;column:ins_time;table:sys_columns" comment:"创建时间 "`
    
        
        UpdUser string `form:"updUser"  search:"type:exact;column:upd_user;table:sys_columns" comment:"更新者 "`
    
        
        UpdTime time.Time `form:"updTime"  search:"type:exact;column:upd_time;table:sys_columns" comment:"更新时间 "`
    
        
        ReserveCol1 string `form:"reserveCol1"  search:"type:exact;column:reserve_col_1;table:sys_columns" comment:"备用字段1 "`
    
        
        ReserveCol2 string `form:"reserveCol2"  search:"type:exact;column:reserve_col_2;table:sys_columns" comment:"备用字段2 "`
    
        
        ReserveCol3 string `form:"reserveCol3"  search:"type:exact;column:reserve_col_3;table:sys_columns" comment:"备用字段3 "`
    
        
        ReserveCol4 string `form:"reserveCol4"  search:"type:exact;column:reserve_col_4;table:sys_columns" comment:"备用字段4 "`
    
        
        ReserveCol5 string `form:"reserveCol5"  search:"type:exact;column:reserve_col_5;table:sys_columns" comment:"备用字段5 "`
    
}
