package controller

import (

)
//////////////////////////////////////////////////////
//全局路由加载代码
//routerBase := engine.Group(contextPath)
//for _, f := range ListFuncRouter {
//  f(routerBase)
//}
//////////////////////////////////////////////////////

func init()  { //加载路由到全局容器中
	ListFuncRouter = append(ListFuncRouter, func (v1 *gin.RouterGroup) {
        //路由
		route := v1.Group("/{{.ModuleName}}").Use(middleware.NoCache)
		{
			api := {{.ModuleName}}.{{.ClassName}}Api{}
			route.GET("/{{.FuncName}}/:id", api.Get)
			route.GET("/{{.FuncName}}", api.GetPage)
			route.PUT("/{{.FuncName}}", api.Update)
			route.POST("/{{.FuncName}}", api.Save)
			route.DELETE("/{{.FuncName}}", api.Delete)
		}

	})
}
