package dto

import (
	  "time"
)

type BindCustomerDataTabPageReq struct {
	dto.Pagination   `search:""`
    
        
        Id int64 `form:"id"  search:"type:exact;column:id;table:sys_columns" comment:"id IDENTITY (1,1) NOT NULL "`
    
        
        SiteTreeNo string `form:"siteTreeNo"  search:"type:exact;column:site_tree_no;table:sys_columns" comment:"站点导航树编号 "`
    
        
        DateMonth string `form:"dateMonth"  search:"type:exact;column:date_month;table:sys_columns" comment:"日期 "`
    
        
        BindUserEcId int64 `form:"bindUserEcId"  search:"type:exact;column:bind_user_ec_id;table:sys_columns" comment:"用户能耗绑定id "`
    
        
        Value string `form:"value"  search:"type:exact;column:value;table:sys_columns" comment:"统计值 "`
    
        
        CompanyId string `form:"companyId"  search:"type:exact;column:company_id;table:sys_columns" comment:"企业id "`
    
        
        DelFlg string `form:"delFlg"  search:"type:exact;column:del_flg;table:sys_columns" comment:"删除FLG 0:未删除 1:删除"`
    
        
        InsUser string `form:"insUser"  search:"type:exact;column:ins_user;table:sys_columns" comment:"创建者 "`
    
        
        InsTime time.Time `form:"insTime"  search:"type:exact;column:ins_time;table:sys_columns" comment:"创建时间 "`
    
        
        UpdUser string `form:"updUser"  search:"type:exact;column:upd_user;table:sys_columns" comment:"更新者 "`
    
        
        UpdTime time.Time `form:"updTime"  search:"type:exact;column:upd_time;table:sys_columns" comment:"更新时间 "`
    
        
        ReserveCol1 string `form:"reserveCol1"  search:"type:exact;column:reserve_col_1;table:sys_columns" comment:"备用字段1 "`
    
        
        ReserveCol2 string `form:"reserveCol2"  search:"type:exact;column:reserve_col_2;table:sys_columns" comment:"备用字段2 "`
    
}
