package com.dpc.app.iot.domain;

import java.util.Date;
import java.util.ArrayList;
import java.util.List;
import javax.persistence.*;
import com.dpc.app.jpa.entity.TenantEntity;
import lombok.Data;
import lombok.NoArgsConstructor;
/**
 * 客户表能耗数据表
 * @author robnote
 * @since  2023-03-02 15:48:28.070996 &#43;0800 &#43;0800
 */
@Entity
@Table(name="bind_customer_data_tab")
@Data
@NoArgsConstructor
public class BindCustomerDataTab extends TenantEntity {

  @Column(columnDefinition = "bigint  comment 'id IDENTITY (1,1) NOT NULL '")
  private Long id;
 
  @Column(columnDefinition = "varchar(50)  comment '站点导航树编号 '")
  private String siteTreeNo;
 
  @Column(columnDefinition = "date  comment '日期 '")
  private String dateMonth;
 
  @Column(columnDefinition = "bigint  comment '用户能耗绑定id '")
  private Long bindUserEcId;
 
  @Column(columnDefinition = "decimal(12,4)  comment '统计值 '")
  private String value;
 
  @Column(columnDefinition = "varchar(50)  comment '企业id '")
  private String companyId;
 
  @Column(columnDefinition = "char(1)  comment '删除FLG 0:未删除 1:删除'")
  private String delFlg;
 
  
  
  
  
  @Column(columnDefinition = "varchar(100)  comment '备用字段1 '")
  private String reserveCol1;
 
  @Column(columnDefinition = "varchar(100)  comment '备用字段2 '")
  private String reserveCol2;
 
}
